Function p4get-usersfiles
{param([Parameter(Mandatory = $true)]$users)
$servercheck = p4get-server
if ($servercheck.pingsuccess.equals($true))
{
	$i=1 #set counter
	foreach ($user in $users)
	{
		$percentcomplete = (($i/$users.count)*100)
		$userobject = $null
		$userobject = p4get-user $user
		write-progress -id 100 -activity "Generating file opened list" -status "Working on user $user" -percentcomplete $percentcomplete
		if ($userobject)
		{
			$result = p4get-useropenfiles $user
			foreach ($clientlist in $result)
			{
				if ($clientlist.openedfiles)
				{
					foreach ($file in $clientlist.openedfiles)
					{
						$file.depotFile + "," + $file.user + "," + $file.client
					}
				}
			}
		}
		$i++
	}
}
}#end function p4get-useropenfiles