## Resolve-Error
## 
# from http://blogs.msdn.com/b/powershell/archive/2006/12/07/resolve-error.aspx
# 
#

function Resolve-Error($ErrorRecord=$Error[0])
{
    $ErrorRecord | fl * -f | Out-Default
    $ErrorRecord.InvocationInfo | fl * -f | Out-Default

    $Exception = $ErrorRecord.Exception
    for ($i = 0; $Exception; $i++, ($Exception = $Exception.InnerException))
    {
        "*$i* " * 15
        $Exception | fl * -f | Out-Default
    }
}